Subject: Re: bug#39546: 28.0.50; Do not require subr-x at run time

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Feb 2020 19:39:45 +0200

> From: Tino Calancha <[email-masked]>
> Date: Mon, 10 Feb 2020 18:26:13 +0100 (CET)
> cc: Tino Calancha <[email-masked]>, [email-masked], 
>     [email-masked], [email-masked], [email-masked]
> 
> On Mon, 10 Feb 2020, Eli Zaretskii wrote:
> 
> > subr.el is preloaded, so doing that will enlarge the Emacs memory
> > footprint.  Is that function important enough to have it preloaded?
> According with its usage at Emacs source (only at json.el) I'd say
> the answer to your question is: not worth to be at subr.el.

That's what I thought.  So I suggest to find another file to host this
function, if we want subr-x.el to have only macros and defsubst's.

Thanks.